| GET | /RestApi/ab-testing/{id}/variations |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | path | Guid | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | form | Guid | No | |
| PreviewLink | form | string | No | |
| IsPageSynced | form | bool | No | |
| Variations | form | ICollection<ABTestVariationViewModel> | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| VariatonId | form | Guid | No | |
| VariationName | form | string | No | |
| VariationLink | form | string | No | |
| IsWinner | form | bool | No | |
| Ordinal | form | int | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/ab-testing/{id}/variations HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
PreviewLink: String,
IsPageSynced: False
}